Skip to content

List Replication Executions

GET
/api/v1/container_registry/replication/executions/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/container_registry/replication/executions/?policy_id=<POLICY_ID>&cr_project_id=<CR_PROJECT_ID>&project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
policy_id
required
integer

Policy ID

page_no
integer

The page number from which you want your page search results to be displayed.

per_page
integer

Number of results per page

cr_project_id
required
integer
project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Policy executions fetched successfully.

Media typeapplication/json
object
code
integer
data
Array<object>
object
end_time
string format: date-time
failed
integer
id
integer
in_progress
integer
policy_id
integer
start_time
string format: date-time
status
string
status_text
string
stopped
integer
succeed
integer
total
integer
trigger
string
errors
object
key
additional properties
message
string

Example

{
"code": 200,
"data": [
{
"end_time": "0001-01-01T00:00:00.000Z",
"failed": 0,
"id": 45082,
"in_progress": 3,
"policy_id": 35,
"start_time": "2025-04-29T11:08:29.245Z",
"status": "InProgress",
"status_text": "",
"stopped": 0,
"succeed": 0,
"total": 3,
"trigger": "manual"
}
],
"errors": {},
"message": "Policy Execution fetched Successfully"
}